Skip to main content
POST
/
environment
/
{environmentId}
/
helm
Create a helm
curl --request POST \
  --url https://api.qovery.com/environment/{environmentId}/helm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "auto_deploy": true,
  "source": {},
  "arguments": [
    "<string>"
  ],
  "values_override": {
    "set": [
      [
        "<string>"
      ]
    ],
    "set_string": [
      [
        "<string>"
      ]
    ],
    "set_json": [
      [
        "<string>"
      ]
    ],
    "file": {
      "git": {
        "git_repository": {
          "url": "https://github.com/Qovery/simple-node-app",
          "provider": "BITBUCKET",
          "branch": "feat/text_xxx",
          "root_path": "/",
          "git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "paths": [
          "<string>"
        ]
      },
      "raw": {
        "values": [
          {
            "name": "<string>",
            "content": "<string>"
          }
        ]
      }
    }
  },
  "ports": [
    {
      "internal_port": 8080,
      "name": "<string>",
      "external_port": 8080,
      "namespace": "<string>",
      "protocol": "HTTP",
      "is_default": true,
      "service_selectors": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "description": "<string>",
  "timeout_sec": 600,
  "auto_preview": true,
  "allow_cluster_wide_resources": false,
  "icon_uri": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "environment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "name": "<string>",
  "auto_preview": true,
  "auto_deploy": true,
  "source": {
    "git": {
      "git_repository": {
        "provider": "BITBUCKET",
        "owner": "John Doe",
        "url": "<string>",
        "name": "simple-node-app",
        "has_access": true,
        "branch": "<string>",
        "root_path": "<string>",
        "deployed_commit_id": "<string>",
        "deployed_commit_date": "2023-11-07T05:31:56Z",
        "deployed_commit_contributor": "<string>",
        "deployed_commit_tag": "v1.0.1",
        "git_token_id": "<string>",
        "git_token_name": "<string>"
      }
    }
  },
  "arguments": [
    "<string>"
  ],
  "allow_cluster_wide_resources": false,
  "values_override": {
    "set": [
      [
        "<string>"
      ]
    ],
    "set_string": [
      [
        "<string>"
      ]
    ],
    "set_json": [
      [
        "<string>"
      ]
    ],
    "file": {
      "raw": {
        "values": [
          {
            "name": "<string>",
            "content": "<string>"
          }
        ]
      },
      "git": {
        "git_repository": {
          "provider": "BITBUCKET",
          "owner": "John Doe",
          "url": "<string>",
          "name": "simple-node-app",
          "has_access": true,
          "branch": "<string>",
          "root_path": "<string>",
          "deployed_commit_id": "<string>",
          "deployed_commit_date": "2023-11-07T05:31:56Z",
          "deployed_commit_contributor": "<string>",
          "deployed_commit_tag": "v1.0.1",
          "git_token_id": "<string>",
          "git_token_name": "<string>"
        },
        "paths": [
          "<string>"
        ]
      }
    }
  },
  "icon_uri": "<string>",
  "service_type": "APPLICATION",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "timeout_sec": 600,
  "ports": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "port_type": "<string>",
      "internal_port": 8080,
      "protocol": "HTTP",
      "service_name": "<string>",
      "name": "<string>",
      "external_port": 8080,
      "namespace": "<string>",
      "is_default": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Body

application/json
name
string
required

name is case insensitive

auto_deploy
boolean
required

Specify if the helm will be automatically updated after receiving a new image tag or a new commit according to the source type.

source
object
required
arguments
string[]
required

The extra arguments to pass to helm

values_override
object
required

Specify helm values you want to set or override

ports
object[]
description
string
timeout_sec
integer
default:600

Maximum number of seconds allowed for helm to run before killing it and mark it as failed

Required range: x >= 0
auto_preview
boolean | null

Indicates if the 'environment preview option' is enabled.
If enabled, a preview environment will be automatically cloned when /preview endpoint is called or when a new commit is updated. If not specified, it takes the value of the auto_preview property from the associated environment.

allow_cluster_wide_resources
boolean
default:false

If we should allow the chart to deploy object outside his specified namespace. Setting this flag to true, requires special rights

icon_uri
string<uri>

Icon URI representing the helm service.

Response

Create helm

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
environment
object
required
name
string
required

name is case insensitive

auto_preview
boolean
required

Indicates if the 'environment preview option' is enabled.
If enabled, a preview environment will be automatically cloned when /preview endpoint is called.
If not specified, it takes the value of the auto_preview property from the associated environment.

auto_deploy
boolean
required

Specify if the service will be automatically updated after receiving a new image tag or a new commit according to the source type.

source
object
required
arguments
string[]
required

The extra arguments to pass to helm

allow_cluster_wide_resources
boolean
default:false
required

If we should allow the chart to deploy object outside his specified namespace. Setting this flag to true, requires special rights

values_override
object
required

Specify helm values you want to set or override

icon_uri
string<uri>
required

Icon URI representing the helm service.

service_type
enum<string>
required

type of the service (application, database, job, ...)

Available options:
APPLICATION,
DATABASE,
CONTAINER,
JOB,
HELM,
TERRAFORM,
ARGOCD_APP
updated_at
string<date-time>
read-only
description
string
timeout_sec
integer
default:600

Maximum number of seconds allowed for helm to run before killing it and mark it as failed

Required range: x >= 0
ports
object[]